# Uses of Enum Class
org.springframework.core.NativeDetector.Context

Packages that use NativeDetector.Context
Package
Description
org.springframework.core
Provides basic classes for exception handling and version detection, and other core helpers that are not specific to any part of the framework.

## Uses of NativeDetector.Context in org.springframework.core

Methods in org.springframework.core that return NativeDetector.Context
Modifier and Type
Method
Description
`static NativeDetector.Context`
NativeDetector.Context.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NativeDetector.Context[]`
NativeDetector.Context.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.springframework.core with parameters of type NativeDetector.Context
Modifier and Type
Method
Description
`static boolean`
NativeDetector.`inNativeImage(NativeDetector.Context... contexts)`
Returns `true` if running in any of the specified native image context(s).